[arvados] updated: 2.1.0-2564-gdddaa9f00
git repository hosting
git at public.arvados.org
Wed Jun 1 16:17:57 UTC 2022
Summary of changes:
lib/config/load.go | 2 +-
lib/config/load_test.go | 2 +-
tools/salt-install/local.params.example.multiple_hosts | 2 +-
tools/salt-install/local.params.example.single_host_multiple_hostnames | 2 +-
tools/salt-install/local.params.example.single_host_single_hostname | 2 +-
tools/salt-install/provision.sh | 2 +-
6 files changed, 6 insertions(+), 6 deletions(-)
via dddaa9f008f8cfb6d1dec5379b3ef2e32ca54565 (commit)
via c119fcd1bfb23a9d3e29d8538867c5328efca97f (commit)
from 7591486e80665e7eb0213f0204949139da8652c0 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit dddaa9f008f8cfb6d1dec5379b3ef2e32ca54565
Author: Ward Vandewege <ward at curii.com>
Date: Wed Jun 1 12:17:16 2022 -0400
Provision script fix: clarify that the cluster id must be 5 lowercase
alphanumeric characters.
refs #19169
Arvados-DCO-1.1-Signed-off-by: Ward Vandewege <ward at curii.com>
diff --git a/tools/salt-install/local.params.example.multiple_hosts b/tools/salt-install/local.params.example.multiple_hosts
index 0ddec2c7c..31a69e984 100644
--- a/tools/salt-install/local.params.example.multiple_hosts
+++ b/tools/salt-install/local.params.example.multiple_hosts
@@ -5,7 +5,7 @@
# These are the basic parameters to configure the installation
-# The FIVE ALPHANUMERIC CHARACTERS name you want to give your cluster
+# The Arvados cluster ID, needs to be 5 lowercase alphanumeric characters.
CLUSTER="cluster_fixme_or_this_wont_work"
# The domainname you want tou give to your cluster's hosts
diff --git a/tools/salt-install/local.params.example.single_host_multiple_hostnames b/tools/salt-install/local.params.example.single_host_multiple_hostnames
index 3cdc1ec8f..2ce155651 100644
--- a/tools/salt-install/local.params.example.single_host_multiple_hostnames
+++ b/tools/salt-install/local.params.example.single_host_multiple_hostnames
@@ -5,7 +5,7 @@
# These are the basic parameters to configure the installation
-# The FIVE ALPHANUMERIC CHARACTERS name you want to give your cluster
+# The Arvados cluster ID, needs to be 5 lowercase alphanumeric characters.
CLUSTER="cluster_fixme_or_this_wont_work"
# The domainname you want tou give to your cluster's hosts
diff --git a/tools/salt-install/local.params.example.single_host_single_hostname b/tools/salt-install/local.params.example.single_host_single_hostname
index 45842b3dc..7add9868d 100644
--- a/tools/salt-install/local.params.example.single_host_single_hostname
+++ b/tools/salt-install/local.params.example.single_host_single_hostname
@@ -5,7 +5,7 @@
# These are the basic parameters to configure the installation
-# The Arvados cluster ID, needs to be five alphanumeric characters.
+# The Arvados cluster ID, needs to be 5 lowercase alphanumeric characters.
CLUSTER="cluster_fixme_or_this_wont_work"
# The domainname for your cluster's hosts
diff --git a/tools/salt-install/provision.sh b/tools/salt-install/provision.sh
index dc4a7b70f..c8e260479 100755
--- a/tools/salt-install/provision.sh
+++ b/tools/salt-install/provision.sh
@@ -262,7 +262,7 @@ if grep -q 'fixme_or_this_wont_work' ${CONFIG_FILE} ; then
fi
if ! grep -qE '^[[:alnum:]]{5}$' <<<${CLUSTER} ; then
- echo >&2 "ERROR: <CLUSTER> must be exactly 5 alphanumeric characters long"
+ echo >&2 "ERROR: <CLUSTER> must be exactly 5 lowercase alphanumeric characters long"
echo >&2 "Fix the cluster name in the 'local.params' file and re-run the provision script"
exit 1
fi
commit c119fcd1bfb23a9d3e29d8538867c5328efca97f
Author: Ward Vandewege <ward at curii.com>
Date: Wed Jun 1 12:11:49 2022 -0400
In the config loader, we require the cluster id to be specified in
lowercase. Clarify this in the error message when the cluster id is not
valid.
refs #19169
Arvados-DCO-1.1-Signed-off-by: Ward Vandewege <ward at curii.com>
diff --git a/lib/config/load.go b/lib/config/load.go
index dba799787..a547d1406 100644
--- a/lib/config/load.go
+++ b/lib/config/load.go
@@ -362,7 +362,7 @@ func (ldr *Loader) checkClusterID(label, clusterID string, emptyStringOk bool) e
if emptyStringOk && clusterID == "" {
return nil
} else if !acceptableClusterIDRe.MatchString(clusterID) {
- return fmt.Errorf("%s: cluster ID should be 5 alphanumeric characters", label)
+ return fmt.Errorf("%s: cluster ID should be 5 lowercase alphanumeric characters", label)
}
return nil
}
diff --git a/lib/config/load_test.go b/lib/config/load_test.go
index feb05cb95..fd2921bd4 100644
--- a/lib/config/load_test.go
+++ b/lib/config/load_test.go
@@ -406,7 +406,7 @@ Clusters:
if v != nil {
c.Logf("%#v", v.Clusters)
}
- c.Check(err, check.ErrorMatches, `.*cluster ID should be 5 alphanumeric characters.*`)
+ c.Check(err, check.ErrorMatches, `.*cluster ID should be 5 lowercase alphanumeric characters.*`)
}
}
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list